Bug 118956 - RAID won't be started if filesystem table uses disk label
RAID won't be started if filesystem table uses disk label
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-03-23 01:06 EST by Mike MacCana
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 15:01:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2004-03-23 01:06:53 EST
Description of problem:
Its possible to refer to RAID disks in fstab using their filesystem
label. OK, there's not much benefit to doing this, but many customers
 simply seem to prefer using disk labels for everything (I teach RHCEs
and notice this). Since rc.sysinit only looks for the raid device in
/etc/fstab, RAID won't be started if the fstab is using a label to
refer to the FS on the RAID disk.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a RAID device. Make a labelled filesystem on it.
2.Add it to the fstab using its disk label
Actual results:
RAID won't be started. Not too bad, but then fstab will be run, and
may tell the user the user the filesystem is larger than the device -
a fairly confusing error message.

Expected results:
Either deal with RAID filesystems using disk labels or produce a
better error message. 

Additional info:
Comment 1 Bill Nottingham 2005-09-21 15:01:59 EDT
This problem is resolved in the next release of Red Hat Enterprise Linux (RHEL
4), with the added support for using mdadm to start arrays. Red Hat does not
currently plan to provide a resolution for this in a Red Hat Enterprise Linux
update for currently deployed systems.

      With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating changes for inclusion in maintenance updates for
currently deployed products. The primary objectives of update releases are to
enable new hardware platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.